# settlementTransactions

**POST api/settlementTransactions**

{% tabs %}
{% tab title="Payload" %}

```json
{
    "filter": "all"
}
```

{% endtab %}

{% tab title="200 OK" %}

```json
[
    [                         // Incoming settlement transactions
        [
            7,                 // Counterparty id
            "BTC",             // Currency name
            10000000,          // Amount
            123456789,         // Settlement order id
            "some comment",    // Comment
            1558050900000,     // Created at
            "a79f290b3a0928c", // Tx Id
            1558050900000,     // Sent at
            0,                 // Reserved flags
            0,                 // Transaction moment
            0,                 // Transaction id
            100,               // Network fee
            "BTC"              // Transaction network name  
        ]
     ],
     [                         // Outgoing settlement transactions
         ...
     ]
]
```

{% endtab %}

{% tab title="400 Bad request" %}

```json
{
    "error": 2
}
```

{% endtab %}
{% endtabs %}

**Request parameters**

| Field name | Type   | Description                                                                                                                                                                                                                                                                                                                |
| ---------- | ------ | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| filter     | string | <p><em>Optional</em> <em>field</em> for master accounts only (FM Liquidity Match).<br>- absent or "all": returns settlement transactions for all counterparties<br>- "subaccounts": returns  settlement transactions for the sub-accounts<br>- "external": returns settlement transactions for external counterparties</p> |

**Response description**

| Field name                | Type                            | Description                                       |
| ------------------------- | ------------------------------- | ------------------------------------------------- |
|                           | Array\[2]                       | Array of settlement transactions                  |
| 0                         | Array of SettlementTransactions | Incoming settlement transactions                  |
| 1                         | Array of SettlementTransactions | Outgoing settlement transactions                  |
| **SettlementTransaction** | Array\[13]                      |                                                   |
| 0                         | Efx::ClientId                   | Counterparty id                                   |
| 1                         | string                          | Currency name                                     |
| 2                         | Efx::Size                       | Amount                                            |
| 3                         | Efx::OrderId                    | Settlement order id                               |
| 4                         | string                          | Comment                                           |
| 5                         | Efx::Timestamp                  | Created at                                        |
| 6                         | string                          | Tx id                                             |
| 7                         | Efx::Timestamp                  | Sent at                                           |
| 8                         | unsigned int16                  | [Transaction Flags](/api-reference/data-types.md) |
| 9                         | Efx::Timestamp                  | Transaction moment                                |
| 10                        | Efx::DealId                     | Transaction id                                    |
| 11                        | Efx::Size                       | Network fee                                       |
| 12                        | string                          | Network or empty                                  |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://faq.finerymarkets.com/api-reference/rest-api/settlements/settlementtransactions.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
